## lava 2018.5

=== debian/changelog ===
lava (2018.5-2) unstable; urgency=medium

  * Add missing python3-yaml dependency to lava-server binary
  * [INTL:ru] Russian debconf translation (Closes: #898179)
  * [INTL:pt] Portuguese debconf translation (Closes: #898485)
  * [INTL:nl] Dutch debconf translation (Closes: #898870)
  * [INTL:fr] French debconf translation (Closes: #899229)

 -- Neil Williams <codehelp@debian.org>  Tue, 05 Jun 2018 21:57:06 +0100

lava (2018.5-1) unstable; urgency=medium

  * New upstream release combining upstream code for lava-server
        and lava-dispatcher.
  * Replaces source packages for lava-server and lava-dispatcher
  * Provides lava, lava-dev, lava-server, lava-server-doc and
        lava-dispatcher binaries.
  * Add new binary package lava-common for common code.
    4a4bde2a1 LAVA-999 Export master and logger config
    6f50e1145 LAVA-1315 add option to update existing users
    ff8d9f882 Update device-types to match my lab config
    809ae34ea Use InfrastructureError for uefi menu timeout
    e52d83dc6 Stop the Overlay tests duplicating the base class
    099f19599 LAVA-1310 separate the template unit tests
    198283abb Drop Python2 xmlrpc support
    13fa6bdef Fix support for scheduler.jobs.definition
    a40fe8664 Fix query results export to CSV.
    b18e74ca9 Create lava_common for Timeout and Exceptions
    ece1a46d4 Generate device configuration from templates
    e2d0f4b36 LAVA-1324 QEMU usage of KVM accelerator
    59e0ab091 Extend timeouts in example test jobs
    4269cc55a Merge branch 'master' into coordinator
    7f49853f0 Complete fastboot sequence cannot be governed in
        device dictionary.
    50d69d971 Update instructions for merged codebase
    e2de099f4 LAVA-1316 Instant scheduling
    edd48e0b1 signals: always add health_check field
    1bbaec1e2 Allow creating health-check directly
    e0cddeb5e Create admin log entries when looping
    2489bcbc8 Add auto-login to fastboot sequence of hi6220
        device types.
    13a4b5923 Drop debug line to update pipeline_reference
    da933a151 Add support for optionally running using pytest-3
    51c81f659 Test decompression during download streams
    3d2541d00 docker: always run with --rm
    1cdd275aa Fix ResetDevice comment to match what it actually does.
    db2775001 Allow sleep after the usb serial appeared
    391595bcc LAVA-1309 - pre-* commands should be called
        with minus-lxc
    d524354f7 Add an helper to list all keys of an action namespace
    9bfe50d84 Expand command lists in device dictionaries
    0ff09a569 LAVA-1173 - allow for matching parents of nodes
    3b5f47bf7 Make device_info validate errors unique
    dad039adb Allow for multiple udev rules in a single file
    80ca5346a LAVA-1203 - Allow multiple callback URLs in notify action
    120181cb6 ci-run should stop on first error
    bed5fcb20 Allow dispatcher unit tests to generate device config
    a3cc054f3 Implementation of recovery mode deploy and boot
    47b184796 Print the url when validating file:// download
    8d1ffad00 dispatcher: raise a TestError for invalid regexp
    fb39a9da8 Factorize compatibility code
    4511d4de6 monitor: log the start message
    c18752652 Fix broken unit test
    84769209a Exclude Retired devices from invalid_template check
    534f1a9b8 LAVA-1300 - fail if static devices cannot be found
    235f17d35 Add the end time to the Recent job errors table
    e18d27c5a Update templates for changes from Harston lab
    fa0d9125f Update second UART example jobs
    600fc7b4e ci-run: Remove some of the unused args and clean it
        up for jenkins
    36fee805b Revert "Remove unused and obsolete requirements.txt"
    2e051cb6d Remove any generated top level init.py
    2060d7851 LAVA-1298 fix references to old repositories
    1978274d1 Treat kernel panics as a job failure
    d920b7825 Remove unused and obsolete requirements.txt
    ed9039e87 LAVA-1297 - Incorporate changes to run jobs without LXC
    fabd4a44f Port to python3 and fix prospector warning
    e98737c55 LAVA-1286 Raise JobError if 'params' is not a dict
    5af7a7f74 compression: do not use shell=True
    a4e1ac09b device-types: add meson-gxbb-nanopi-k2
    2e84699d8 Port classes to python3 only
    6a02322a1 device-types: add meson-gxl-s905x-libretech-cc
    968873081 publisher: do not duplicate logs
    05d119426 Send the wait-all role reply
    80a912d7e Add a ./ci-run script
    02a83fed4 Fix waitall with a role support
    33644d89e Port to new daemon support with systemd service
    a1d9f99e3 Explicitly allow wait-all to occur before send
    8b2e3feb0 Add a status check script
    a4cfb1b90 LAVA-489 Python3 support
    1c570a0f8 add the gitreview file for lava-coordinator
    210e4b7cf bump version

 -- Neil Williams <codehelp@debian.org>  Wed, 23 May 2018 15:33:49 +0100

lava (2018.4.post2-1) unstable; urgency=medium

  * New hot fix release.
    fe70ac6ca Update version.py for repos with no tags
    1f7c5b5f1 Fix typo in 86362f and add debug
    11c5ab57e Do not attempt to unzip on the fly

 -- Neil Williams <codehelp@debian.org>  Mon, 23 Apr 2018 16:07:19 +0100

lava (2018.4.post1-1) unstable; urgency=medium

  * New production release
  * Combined lava-dispatcher and lava-server source package

 -- Neil Williams <codehelp@debian.org>  Thu, 19 Apr 2018 09:28:43 +0100

lava-dispatcher (2018.4-1) unstable; urgency=medium

  * New production release
    4dd73b76a Fix wrong infra error when compressing with xz
    50a652a54 Add missing import and fix prospector warnings
    817fe007d LAVA-1234 - Man page for lava-lxc-mocker
    691041a1 compress: check that the tool does exists
    84df8c5d LAVA-1264 improve handling of cancellation
    02590e0b LAVA-1282 Only kill lava-slave
    1cbebc39 fix typo in manpage
    67a19da1 Add template testing for user-command and flasher
    40a9a97b Do not crash when command output is not utf-8
    73cd3623 LAVA-1266 - LAVA doesn't fail jobs that fail
      to flash partitions


=== debian/control ===
Source: lava
Section: net
Priority: optional
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>,
 Senthil Kumaran S (stylesen) <stylesen@gmail.com>
Build-Depends-Arch: debhelper (>= 9.20160709), dh-python,
 python3 | python3-all | python3-dev | python3-all-dev,
 python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml
Build-Depends: 
 node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
 libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
 libjs-jquery-ui, po-debconf,
 python3-sphinx-bootstrap-theme,
X-Python3-Version: >=3.5
Standards-Version: 4.1.4
Homepage: https://www.linaro.org/initiatives/lava/
Vcs-Git: https://github.com/Linaro/pkg-lava.git
Vcs-Browser: https://github.com/Linaro/pkg-lava

Package: lava-dispatcher
Architecture: amd64 arm64 armhf i386 ppc64el s390x ppc64
Depends: file, systemd-sysv, python3-serial (>= 2.6), python3-setuptools,
 lava-common (>= ${source:Version}), python3-guestfs (>= 1.32.7), tar (>= 1.27),
 python3-configobj, python3-magic, python3-netifaces (>= 0.10.0),
 python3-nose, python3-pexpect (>= 4.2), python3-pyudev (>= 0.21),
 python3-requests, python3-setproctitle (>= 1.1.8), python3-tz,
 python3-yaml, python3-zmq,
 sudo, telnet, ${python3:Depends}, ${misc:Depends}
Multi-Arch: foreign
Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
 qemu-system-x86 (>= 2.8.0) [amd64 i386],
 qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
 libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
 u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
 debootstrap (>= 1.0.86), bridge-utils, rsync, sshfs, dfu-util
Suggests: apache2, bzr, img2simg, simg2img
Description: Linaro Automated Validation Architecture dispatcher
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides lava-dispatcher to dispatch
 LAVA jobs to configured devices, for Python3 only.
 .
 A range of devices are supported for ARM and
 x86 architectures.

Package: lava-server
Architecture: all
Pre-Depends: debconf | debconf-2.0
Depends: apache2, adduser, gunicorn3, iproute2, python3-tz, python3-dateutil,
 python3-django (>= 1.10), python3-django-auth-ldap (>= 1.2.12),
 python3-setuptools, python3-yaml,
 libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
 libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
 postgresql, postgresql-client, postgresql-common, systemd-sysv,
 lava-common (>= ${source:Version}), python3-django-restricted-resource (>= 2016.8),
 python3-django-tables2 (>= 1.2), python3-docutils, python3-jinja2,
 python3-markdown, python3-psycopg2, python3-simplejson,
 python3-voluptuous (>= 0.8.8), python3-zmq,
 ${python3:Depends}, ${misc:Depends}
Recommends: ntp, lava-coordinator, lava-server-doc, lava-dispatcher,
Suggests: python3-django-hijack, python3-django-debug-toolbar
Description: Linaro Automated Validation Architecture server
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing. Extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides the Apache and WSGI configuration and LAVA
 support files to run the validation server on the local Apache
 instance as a lava-server virtual host as well as the scheduler
 and dispatcher.
 .
 This package no longer supports configuration as a
 remote worker and needs to be removed from existing workers.
 Workers must only install lava-dispatcher.
 .
 This package no longer supports Python2.

Package: lava-common
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Linaro Automated Validation Architecture common
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains common Python code to support lava-server
 and lava-dispatcher.

Package: lava
Architecture: all
Section: metapackages
Depends: lava-server (= ${binary:Version}), lava-server-doc,
 lava-dispatcher, lava-coordinator, lava-dev, lavacli,
 lavapdu-client, ntp | ntpdate, tftpd-hpa, debootstrap (>= 1.0.86~),
 openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
Recommends: lavapdu-daemon, schroot, img2simg, simg2img
Suggests: vmdebootstrap, lava-tool
Description: Linaro Automated Validation Architecture metapackage
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This metapackage brings in all LAVA components on a single
 machine. Some suggested packages may not be available for all
 architectures.

Package: lava-lxc-mocker
Architecture: all
Depends: ${misc:Depends}
Conflicts: lxc
Provides: lxc
Replaces: lxc
Description: Linaro Automated Validation Architecture LXC Mocker
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains set of mocker scripts that mocks each of
 the lxc commands that LAVA uses. It does not support all commands
 and options that lxc provides, but just the ones that LAVA uses.
 Test jobs using LXC can then be replicated in Docker.

Package: lava-dev
Architecture: all
Section: devel
Depends: build-essential, ca-certificates, devscripts, dpkg-dev,
 debootstrap (>= 1.0.86), debhelper (>= 9.20160709), dh-python,
 fakeroot, git, libdistro-info-perl, node-uglify, libjs-excanvas,
 libjs-jquery-cookie, libjs-jquery, libjs-jquery-watermark,
 libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
 python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
 python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
 python3-guestfs,  python3-nose, python3-netifaces,
 python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
 python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8),
 docbook-xsl, xsltproc, ${python3:Depends}, ${misc:Depends}
Recommends: sbuild, python3-django-extensions, python3-pydot,
 python3-django-testscenarios, python3-pytest-django
Description: Linaro Automated Validation Architecture developer support
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 .
 This package provides a helper script to build LAVA packages
 from local git working copies and support for running the
 LAVA unit tests locally, using Python3.

Package: lava-server-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Linaro Automated Validation Architecture documentation
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package contains an offline copy of the LAVA
 Manual which is also available on each instance running LAVA
 server.
 .
  - an overview of LAVA
  - help on installing and configuring LAVA
  - test developer guide to writing LAVA tests
  - use cases and examples
  - administrator guide for managing a LAVA lab
  - developer guide

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PYBUILD_DISABLE_python3.3=test
export PYBUILD_DISABLE_python3.5=test
export PYBUILD_DISABLE_python3.6=test

PYTHONDIR=/usr/lib/python3/dist-packages/

PYTHON:=$(shell py3versions -r)
install_dir=$(call py_libdir, $(PYTHON))

%:
	dh $@ --with sphinxdoc,systemd,python3

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_build:
	python3 setup.py build
	make -C man/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
	make -C doc/v2/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	make -C man/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	find . -path '*/__pycache__/*' -delete
	find . -type d -name '__pycache__' -empty -delete
	dh_installman -plava-dispatcher man/_build/man/lava-run.1
	dh_installman -plava-dispatcher man/_build/man/lava-slave.8
	dh_installman -plava-lxc-mocker man/_build/man/lava-lxc-mocker.7
	dh_installman -plava-lxc-mocker man/_build/man/lxc-attach.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-create.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-destroy.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-device.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-info.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-start.1
	dh_installman -plava-lxc-mocker man/_build/man/lxc-stop.1
	python3 setup.py install --root=$(CURDIR)/debian/lava/ --install-layout=deb
	cp ./etc/lava-slave.service debian/
	dh_systemd_enable -p lava-dispatcher --name lava-slave
	dh_systemd_start -p lava-dispatcher --name lava-slave
	[ -f debian/lava-server/usr/bin/lava-server ] || mkdir -p debian/lava-server/usr/bin/; cp ./debian/lava/$(PYTHONDIR)/lava_server/manage.py debian/lava-server/usr/bin/lava-server; chmod a+x debian/lava-server/usr/bin/lava-server
	dh_installman -plava-server man/_build/man/lava-server.1
	# skip unwanted licence file specified in copyright
	$(RM) debian/lava/$(PYTHONDIR)/google_analytics/LICENSE
	# handle embedded JS
	python3 ./share/javascript.py -f ./share/javascript.yaml --remove
	# handle systemd services
	cp ./etc/lava-server-gunicorn.service debian/lava-server.lava-server-gunicorn.service
	cp ./etc/lava-logs.service debian/lava-server.lava-logs.service
	cp ./etc/lava-master.service debian/lava-server.lava-master.service
	cp ./etc/lava-publisher.service debian/lava-server.lava-publisher.service
	dh_systemd_enable -p lava-server --name lava-server-gunicorn
	dh_systemd_enable -p lava-server --name lava-logs
	dh_systemd_enable -p lava-server --name lava-publisher
	dh_systemd_enable -p lava-server --name lava-master
	dh_systemd_start -p lava-server --name lava-server-gunicorn
	dh_systemd_start -p lava-server --name lava-logs
	dh_systemd_start -p lava-server --name lava-publisher
	dh_systemd_start -p lava-server --name lava-master

override_dh_fixperms:
	dh_fixperms -X debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava
	# ssh connections use a shared private key - use the same location for debian & ubuntu
	chmod 0600 debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava
	chmod 0644 debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava.pub

override_dh_installinit:
	dh_installinit -Nlava-server

override_dh_compress:
	dh_compress -X.yaml
	$(RM) -r debian/lava/usr/lib
	$(RM) -r debian/lava/usr/bin

override_dh_auto_clean:
	python3 setup.py clean -a
	find . -path '*/__pycache__/*' -delete
	$(RM) -r lava.egg-info setup.cfg .idea/ build/
	$(RM) -r .eggs/ versiontools-*.egg/ doc/build/ doc/html/
	$(RM) debian/lava-slave.service
	find . -type d -name '__pycache__' -empty -delete
	$(RM) -r dist/ jquery.cookie.js
	$(RM) debian/*.service
	[ ! -f doc/Makefile ] || make -C doc/ clean
	[ ! -f doc/v1/Makefile ] || make -C doc/v1/ clean
	[ ! -f doc/v2/Makefile ] || make -C doc/v2/ clean
	[ ! -f man/Makefile ] || make -C man/ clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# https://git.linaro.org/lava/lava.git/snapshot/lava-2016.11.tar.gz

https://git.linaro.org/lava/lava.git/refs /lava/lava.git/snapshot/lava-(\d+.\d+.\d?)\d*.*.tar.gz

## lava 2018.5.post1

=== requirements.txt ===
pexpect
lockfile
python-daemon
setproctitle

=== debian/changelog ===
lava (2018.5.post1-2) unstable; urgency=medium

  * Fix missing dependency on python3-requests, found by piuparts

 -- Neil Williams <codehelp@debian.org>  Mon, 18 Jun 2018 10:40:54 +0100

lava (2018.5.post1-1) unstable; urgency=medium

  * Security hotfix
    0a8db2d0e Use requests instead of urlopen
    95f28429c Use yaml.safe_load when parsing user data
    6f4000445 Remove the ability to past URLs in the submit page
  * Update dependencies for lava-dev

 -- Neil Williams <codehelp@debian.org>  Sat, 16 Jun 2018 10:51:32 +0100

lava (2018.5-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 11 Jun 2018 13:41:43 +0100

lava (2018.5-3) unstable; urgency=medium

  * Drop Build-Depends-Arch and add
    override_dh_fixperms-arch (Closes: #900971)

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Jun 2018 15:22:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Neil Williams <codehelp@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
-Build-Depends-Arch: debhelper (>= 9.20160709), dh-python,
+Build-Depends:
+ debhelper (>= 9.20160709), dh-python, po-debconf,
  python3 | python3-all | python3-dev | python3-all-dev,
- python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml
-Build-Depends: 
+ python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml,
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-ui, po-debconf,
- python3-sphinx-bootstrap-theme,
+ libjs-jquery-ui, python3-sphinx-bootstrap-theme,
 X-Python3-Version: >=3.5
 Standards-Version: 4.1.4
 Homepage: https://www.linaro.org/initiatives/lava/
@@ -33,7 +32,7 @@
  qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
  libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
  u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
- debootstrap (>= 1.0.86), bridge-utils, rsync, sshfs, dfu-util
+ debootstrap (>= 1.0.86), bridge-utils, rsync, dfu-util
 Suggests: apache2, bzr, img2simg, simg2img
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
@@ -54,7 +53,7 @@
 Pre-Depends: debconf | debconf-2.0
 Depends: apache2, adduser, gunicorn3, iproute2, python3-tz, python3-dateutil,
  python3-django (>= 1.10), python3-django-auth-ldap (>= 1.2.12),
- python3-setuptools, python3-yaml,
+ python3-setuptools, python3-yaml, python3-requests,
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common, systemd-sysv,
@@ -148,12 +147,14 @@
  libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
  python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
  python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
- python3-guestfs,  python3-nose, python3-netifaces,
+ python3-guestfs,  python3-nose, python3-netifaces, python3-magic,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
- python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8),
- docbook-xsl, xsltproc, ${python3:Depends}, ${misc:Depends}
+ python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8), python3-tz,
+ python3-configobj, python3-pyudev, docbook-xsl, xsltproc,
+ ${python3:Depends}, ${misc:Depends}
 Recommends: sbuild, python3-django-extensions, python3-pydot,
- python3-django-testscenarios, python3-pytest-django
+ python3-django-testscenarios, python3-pytest-django, nfs-kernel-server,
+ lxc, tftpd-hpa, rpcbind, p-boot-tools, telnet, img2simg, simg2img
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	dh_systemd_start -p lava-server --name lava-publisher
 	dh_systemd_start -p lava-server --name lava-master
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms -X debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava
 	# ssh connections use a shared private key - use the same location for debian & ubuntu
 	chmod 0600 debian/lava-dispatcher/usr/lib/python3/dist-packages/lava_dispatcher/dynamic_vm_keys/lava

## lava 2018.10

=== debian/changelog ===
lava (2018.10-1) unstable; urgency=medium

  * New production release
    24f6bc296 Support gdb/openocd for disco_l475_iot1
    1d1cf4380 Fix resource cleanup when using prefix
    7f9796ee1 Append the defined prefix to the udev rule files
    1e60552f1 Allow a user-specified kernel failure message
    8445444bb device-types: minnowboard: add initrd command to nfs_commands
    7c006f458 Ensure build dir exists
    0e598e63f Update package version support
    0c75c37b9 Distinguish between builds on different suites
    135269b50 XMLRPC: use django permissions to manage accesses
    dcf5e1358 Fix inconsistent header in docker admin
    21f2ddf12 Do not depend on network access for test suites
    e74e35b93 docs: Improve wording in various places for new users
    579b86bb3 Add docs for IoT boot methods and monitor test action
    fab08cc2e docker: allow use of local images
    0e0f4d352 Comment out people.l.o and snapshots.l.o urls
    f429369bd Support for skipping test shell timeout
    32e02b925 Add device-type for qcom QDF2400
    368f13217 Help for admins using docker.
    829658237 Drop sections on V1 removal
    05fcc7f9a docker: allow use of local images
    d24c2e756 Fix build errors in docs
    d4cfad706 Import the packaging support into upstream
    caf3df11e Fix pyocd requirement listing
    ae66959a1 Callback add a default timeout to 5 seconds
    8e556cbab Compute coverage only on master or for tags
    8d928d483 Update documentation for changes in share/requires.py
    536b3bab9 Advise use of allow_none in XMLRPC clients
    2dc976d28 Update Debian installation instructions for new repo
    ddc980704 Allow switching to a binary=any build
    59ba58b9c download: Raise an Infrastructure Error on timeout
    2e3338ebc Limit excessive exception messages
    1f10f2996 Fix undefined variables found by prospector
    93529bc64 LAVA-1231 Support multiple boots in QEMU
    23f25ee7a Ensure Device.is_valid is checked in submissions
    6ca13ea7a Update jobs.list for two bugs found in Linaro
    5f36ec668 XMLRPC: allow_none should always be True
    f077b620d base-uboot: nbd: handle uboot_set_mac
    1d2f38615 Fix arch build instructions in build script.
    a6e61d0f9 Update pipeline-admin section on device dicts
    5d045edec Isolate dependencies for unit tests
    97e55bcf4 Advise against using patterns if POSIX is available
    cbdc3ca47 Migrate support links to lists.lavasoftware.org
    b34022569 Do not dump python object in description.yaml
    42bfd72d3 Update the shebang to python3
    ede13f753 Add index entry for persistence
    b037a8660 Callbacks replace urllib.request with requests
    a5bfdd71e Disable sorting Jobs tables by state
    59add5e70 Drop release-queue.py
    ecfc5c405 Set InfrastructureError for fastboot-flash-action
    8d5679606 Fix imports of JobError from the wrong file
    38dc6cace Ensure base-uboot quotes fastboot and adb serial
    22f64cb62 Use raw string for regexp
    dd5532ee3 Apply black formatting to linaro_django_xmlrpc
    819986bd9 Apply black to remaining files in share
    9556abc5c Add NBD support for iPXE based DUTs
    563b88a00 Keep tags with uppercase letters
    74b1d8ca2 Make version string lexicographically sortable
    485bca7a6 Improve 359f8278 to support all -misc variants
    13fe9a5ec Fix crash when calling lava-server without args
    c96946ee9 Fix BootloaderSecondaryMedia.validate() with
        arbitrary boot commands
    9debcf425 Fix warnings during package build
    6a9ad82b8 add pytest support to lava-dev
    1e0de18dc Fix missing change in the doc after 9595d66e
    ee97069da Update Authentication Token page to use lavacli
    b52d52b5e Add lava-server manage device-tags
    9ae06152c Initial blackening support.
    8051f1ddf Silence SAST warnings about mark_safe for internal data.
    146e143d4 Apply yaml.safe_load to unit tests
    01a3b0c0b Silence SAST noise from unit test
    9ac2edac8 Silence security noise from unit test use of assert
    c4ad0130a Explicitly set autoescape to False for YAML.
    3c359acf3 Point README at new site
    b9169d75e Fix typo in the variable names for since
    53e21ef20 Update jobs.py
    386b9efb7 Add more output to scheduler.jobs.list
    a7b7939dd Updates for the contribution guide
    fdd55ba63 Improve indexing and linking for device dicts
    a956159da Support building for specific suites
    9a5aa7e9b Minor doc updates
    33f3abf62 Update copyright of docs.
    8c6761baa Add gitlab ci configuration
    eefc21edc Fix build errors in manpages
    5b9ef16d7 Port zmq-client example script to Python3
    8cd8cee2a Fix copy/paste error in 65ba876cb5
    ce3f6120d Use generator expressions when available
    e6f4ef1de Use isinstance() instead of type()
    4440cd746 doc: fix most broken links
    60928847d Support LXC with IoT
    0cc3653f9 Allow LXC for FRDM-K64F IoT device
    3bb0819fb Allow the suite to be specified for requirements
    dff387150 Fix call to requires.py
    7ad9790a8 Move requirements away from pypi tooling
    75c928fe1 Remove python2 leftover
    359f82786 Add support for qemu-system-misc
    65ba876cb Let LXC protocol calls use lists as in base
    79312ea8a Upgrade doc examples to Stretch
    6a2638fb6 Handle cancelled test jobs in get_recent_jobs
    c56ab4c66 Fix logic in pending_jobs_by_device_type
    af211db77 LAVA-1398 fix group handling for logrotate support.
    cdf4aaec3 Support branch for requires.py
    6ff5b43b4 Clarify some of the lavacli doc items
    f4948855e Check for download files ending with /
    0b25c71bc Port URLs to lavasoftware.org
    9871e777c Fix link to api/help location.
    571ff39e9 Support ZMQ dependency on lava-common
    a7acfc0ae Document architecture restrictions.
    393e52fda Fix vland interface code so it works with python3 too
    6fc476481 Certificate directory needs to be available in common
    e159a369b sample_jobs: fix bbb-initrd-nbd NBD usage
    98dfbb377 Add unit test for minnowboard-turbot-E3826 GRUB template


=== debian/control ===
--- 
+++ 
@@ -6,34 +6,30 @@
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends:
  debhelper (>= 9.20160709), dh-python, po-debconf,
- python3 | python3-all | python3-dev | python3-all-dev,
- python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml,
+ python3, python3-sphinx (>= 1.4), python3-setuptools (>= 3),
+ python3-yaml, python3-sphinx-bootstrap-theme,
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-ui, python3-sphinx-bootstrap-theme,
+ libjs-jquery-typeahead, libjs-jquery-ui
 X-Python3-Version: >=3.5
-Standards-Version: 4.1.4
-Homepage: https://www.linaro.org/initiatives/lava/
-Vcs-Git: https://github.com/Linaro/pkg-lava.git
-Vcs-Browser: https://github.com/Linaro/pkg-lava
+Standards-Version: 4.2.1
+Homepage: https://www.lavasoftware.org/
+Vcs-Git: https://git.lavasoftware.org/lava/pkg-lava-debian.git
+Vcs-Browser: https://git.lavasoftware.org/lava/pkg-lava-debian
 
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 ppc64el s390x ppc64
-Depends: file, systemd-sysv, python3-serial (>= 2.6), python3-setuptools,
- lava-common (>= ${source:Version}), python3-guestfs (>= 1.32.7), tar (>= 1.27),
- python3-configobj, python3-magic, python3-netifaces (>= 0.10.0),
- python3-nose, python3-pexpect (>= 4.2), python3-pyudev (>= 0.21),
- python3-requests, python3-setproctitle (>= 1.1.8), python3-tz,
- python3-yaml, python3-zmq,
- sudo, telnet, ${python3:Depends}, ${misc:Depends}
+Depends: file, systemd-sysv, python3-setuptools,
+ lava-common (>= ${source:Version}), tar (>= 1.27),
+ ${python3:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
- qemu-system-x86 (>= 2.8.0) [amd64 i386],
+ telnet, qemu-system-x86 (>= 2.8.0) [amd64 i386],
  qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
  libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
- u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
+ u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7), sudo,
  debootstrap (>= 1.0.86), bridge-utils, rsync, dfu-util
-Suggests: apache2, bzr, img2simg, simg2img
+Suggests: apache2, bzr, img2simg, simg2img, docker.io
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -51,19 +47,15 @@
 Package: lava-server
 Architecture: all
 Pre-Depends: debconf | debconf-2.0
-Depends: apache2, adduser, gunicorn3, iproute2, python3-tz, python3-dateutil,
- python3-django (>= 1.10), python3-django-auth-ldap (>= 1.2.12),
- python3-setuptools, python3-yaml, python3-requests,
+Depends: apache2, adduser, gunicorn3, iproute2, python3-setuptools,
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
- libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
- postgresql, postgresql-client, postgresql-common, systemd-sysv,
- lava-common (>= ${source:Version}), python3-django-restricted-resource (>= 2016.8),
- python3-django-tables2 (>= 1.2), python3-docutils, python3-jinja2,
- python3-markdown, python3-psycopg2, python3-simplejson,
- python3-voluptuous (>= 0.8.8), python3-zmq,
- ${python3:Depends}, ${misc:Depends}
-Recommends: ntp, lava-coordinator, lava-server-doc, lava-dispatcher,
-Suggests: python3-django-hijack, python3-django-debug-toolbar
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
+ libjs-jquery-typeahead, systemd-sysv,
+ postgresql, postgresql-client, postgresql-common,
+ lava-common (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Recommends: ntp, openssh-client,
+ lava-coordinator, lava-server-doc, lava-dispatcher,
+Suggests: lavacli, python3-django-hijack, python3-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -100,12 +92,12 @@
 Package: lava
 Architecture: all
 Section: metapackages
-Depends: lava-server (= ${binary:Version}), lava-server-doc,
- lava-dispatcher, lava-coordinator, lava-dev, lavacli,
- lavapdu-client, ntp | ntpdate, tftpd-hpa, debootstrap (>= 1.0.86~),
+Depends: lava-server (>= ${source:Version}), lava-server-doc,
+ lava-dispatcher (>= ${source:Version}), lava-coordinator, lava-dev,
+ lavacli, lavapdu-client, ntp | ntpdate, tftpd-hpa, sudo,
+ telnet, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, schroot, img2simg, simg2img
-Suggests: vmdebootstrap, lava-tool
+Recommends: lavapdu-daemon, schroot, img2simg, simg2img, docker.io
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -147,14 +139,16 @@
  libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
  python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
  python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
- python3-guestfs,  python3-nose, python3-netifaces, python3-magic,
+ python3-guestfs, python3-netifaces, python3-magic,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
  python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8), python3-tz,
+ python3-pytest, python3-pytest-django,
  python3-configobj, python3-pyudev, docbook-xsl, xsltproc,
  ${python3:Depends}, ${misc:Depends}
 Recommends: sbuild, python3-django-extensions, python3-pydot,
- python3-django-testscenarios, python3-pytest-django, nfs-kernel-server,
- lxc, tftpd-hpa, rpcbind, p-boot-tools, telnet, img2simg, simg2img
+ python3-pytest-cov, python3-django-testscenarios, nfs-kernel-server,
+ lxc, tftpd-hpa, rpcbind, u-boot-tools, telnet, img2simg, simg2img
+Suggests: python3-bandit, black, radon
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.

## lava 2018.11

=== debian/changelog ===
lava (2018.11-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Nov 2018 17:38:19 +0000

lava (2018.11-1) unstable; urgency=medium

  * 2018.11-1 LAVA Software 2018.11 release
    ff37c802c Add docs on criteria for LAVA on other distributions
    4736b01dc How to test and recover bootloaders in LAVA
    2cae2b413 Fix lava-master crash when device yaml is invalid
    570fb324d Allow sdist to be passed to setup.py
    51b3fe6f6 Fix missing part of aarch64 stretch deployment
    f9a3671c1 docker: check method
    563fac8da Enable aarch64/pkg-debian-9 in the build tasks
    7e71a56ea flasher: fix substitution when cmd contain whitespaces
    5bb71d4a1 Package the requires.py script
    d77c8d28f Add CI package script for stretch on aarch64
    24eface95 docker: use the new Action.run_cmd helper
    ddd986e8e Extend the base poweroff timeout.
    9d49da1d4 Remove build from .gitignore
    24022feb4 Fix missing return value in run step
    b5c51dfa8 Force Juno to use NFS vers=3 and extend power off timeout
    7ddae776c run_cmd: make spaces explicit
    87f1e01e1 Capture the simg2img and img2simg output and log it
    f40f0f2c5 Ensure apt is updated before trying to install
    06203dfe2 Add a run_cmd helper to Action class
    97132e916 Extend 0f7a7ec8 to other command_output comparisons
    f0ebf8025 Do not send "\n" twice
    ac0097c42 Fix 500 when rendering device dict page
    57d80c2e2 Add deployment builds to snapshot directories.
    9a1a6bfb1 Apply black to more files in lava_scheduler_app
    c6bfbd5f8 Apply black to lava_dispatcher unit tests
    0b615023d version: allow user to specify the branch to use
    f7bbf6a8b Visibility of worker status effects on device views
    f2d9b658e Apply black to lava_scheduler_app/api and tests.
    7980d84c3 docker tag: move branch name to suffix, not prefix
    0f7a7ec8f Prevent index out of range error
    984164f68 Fix omission in package deployment script
    d4b942b71 CI use pytest-3 instead of py.test-3
    d77c7080c Fix regression in fb4a88388
    504115553 Update docs on local dev builds
    fb4a88388 Standardise on dots in the version string
    4a1910049 Use the rollback support in requires.py
    cb86cc09b Improve error message after 4c71c2ebd1
    15d7a905f Include package artifacts into repositories
    4c71c2ebd Provide more information in bootloader errors
    abff27c8b CI: skip deploy when lavafed is running latest version
    f691bc059 CI fix typo for "only.refs"
    024b27694 Fix errors in docker-admin page
    a937a29e4 CI: add missing requirement to pytest
    08ea617a4 vland: fix crash when finalizing
    987280afd Fix errors in docker-admin page
    89f96b1d9 CI fix deployment script
    c5de132b1 Deploy lavafed-master when scheduled
    08eab0bcb Fix issues with unit test calculations
    7e8a6f444 CI use the new arch specific images
    7d2956e43 Sort the --names output of requires.py
    0eb0d3ed7 Set requirements for requests to avoid CVE
    8cd80dcb2 Build packages and docker images for AArch64
    1ab6aaa9c Allow unit tests to run without /sys/class/misc/kvm
    83649d77b Port 0e598e63 to the xmlrcp api
    6335f73d8 Prevent crash if environment requested for non-POSIX
    14b347c51 lava_results_app: convert Decimal objects to string
     storing as YAML
    26bf0af63 lava_results_app: add test case for YAML Decimal
     object conversion
    1744ea74c Change ownership of health checks and device-types
    32a2a6051 Ignore gitlab-ci files when creating a release tarball
    bd224fcd1 Update publish for changes in pkg/docker
    2e5e60c9f Drop obsolete gitreview file

 -- Neil Williams <codehelp@debian.org>  Wed, 14 Nov 2018 11:12:38 +0000

lava (2018.5.post1-4) unstable; urgency=medium
 .
   * Really fix the python3 build-dependency list after rebase.

 -- Neil Williams <codehelp@debian.org>  Fri, 05 Oct 2018 07:16:37 +0100

lava (2018.5.post1-3) unstable; urgency=medium
 .
   * Change build-dep to just python3, drop build-depend
     on python3-all-dev.
   * [INTL:pt_BR] Brazilian Portuguese debconf templates
     translation (Closes: #903358)
   * [INTL:es] Spanish translation of the debconf template lava-
     server (Closes: #902913)
   * [INTL: de] German translation of the debconf dialogue
     (Closes: #905775)
   * Update standards version
   * Update homepage and VCS links to LAVA Software Community Project.
   * Suggest python3-bandit for lava-dev
   * Add suggests for black in lava-dev

 -- Neil Williams <codehelp@debian.org>  Thu, 04 Oct 2018 13:03:22 +0100
